import { BehaviorSubject, Observable } from 'rxjs';
import { MonkeyEcxConfig } from '../../interfaces';
import * as i0 from "@angular/core";
export declare class MonkeyEcxFeatureToggleService {
    private readonly flagSubject$;
    private flags;
    private ldClient;
    constructor();
    private getAllFlags;
    private identify;
    apply(configSubject$: BehaviorSubject<MonkeyEcxConfig>, environment: any): void;
    get onFlags(): Observable<any>;
    getFlag(flag: string): boolean | null;
    sendEvent(key: string, data: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MonkeyEcxFeatureToggleService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MonkeyEcxFeatureToggleService>;
}
